
add_subdirectory( interfaces )
tde_conditional_add_subdirectory( WITH_LIBOFX ofximport )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmm_plugin (shared)

tde_add_library( kmm_plugin SHARED AUTOMOC
  SOURCES
    kmymoneyplugin.cpp
    pluginloader.cpp
    viewinterface.cpp
    statementinterface.cpp
    importinterface.cpp

  VERSION 0.0.0

  LINK
    tdecore-shared tdeutils-shared

  DEPENDENCIES
    kmm-includes

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kmymoneyplugin.desktop kmymoneyimporterplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

kmm_install_includes(
  FILES
    kmymoneyplugin.h
    pluginloader.h
    viewinterface.h
    statementinterface.h
    importinterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
